# Use the official MongoDB image from Docker Hub 
FROM mongo:latest

# Set environment variables for MongoDB
# These can be customized or passed in as arguments when running the container
# ENV MONGO_INITDB_ROOT_USERNAME: root
# ENV MONGO_INITDB_ROOT_PASSWORD: Access

COPY mongo-init.js /docker-entrypoint-initdb.d
# Expose the default MongoDB port
EXPOSE 27017

# Optionally, you can copy your custom MongoDB configuration file or initialization scripts
# Uncomment and modify the following lines if you have custom files to add

# COPY ./mongod.conf /etc/mongod.conf
# COPY ./init-scripts /docker-entrypoint-initdb.d/

# Start MongoDB
CMD ["mongod"]

# Alternatively, if you have an entrypoint script, you can use it to start MongoDB
# COPY ./entrypoint.sh /entrypoint.sh
# ENTRYPOINT ["/entrypoint.sh"]